Bug 180552 - Remove 9 ignored kde4-l10n ports
Summary: Remove 9 ignored kde4-l10n ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-14 10:50 UTC by John Marino
Modified: 2013-09-10 21:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-07-14 10:50:00 UTC
The follow ports have been IGNORED for months and there is no estimated fix date:

misc/kde4-l10n-eo
misc/kde4-l10n-gu
misc/kde4-l10n-fy

misc/kde4-l10n-id
misc/kde4-l10n-kn
misc/kde4-l10n-mk

misc/kde4-l10n-ml
misc/kde4-l10n-csb
misc/kde4-l10n-mai

They are have not been supported by KDE4 for many releases.

Fix: 

Remove these ports permanently.  They can easily be added back if/when KDE 4 supports them again.
Comment 1 Martin Wilke freebsd_committer 2013-07-16 00:58:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-09-10 11:38:21 UTC
Sorry, I've been watching this PR for a while but didn't respond. I was
worried it would be annoying if these languages were added and removed
frequently, but given how old most of the distfiles there are, I guess
it's OK to remove those ports indeed.

Blessed-with: KDE hat
Comment 3 John Marino freebsd_committer 2013-09-10 11:49:04 UTC
Responsible Changed
From-To: miwi->marino

I'll over-take it.
Comment 4 dfilter service freebsd_committer 2013-09-10 20:57:31 UTC
Author: marino
Date: Tue Sep 10 19:57:20 2013
New Revision: 326926
URL: http://svnweb.freebsd.org/changeset/ports/326926

Log:
  misc/kde4-l10n-* (9 ports) removed
  
  The following kde-l10n-* language ports were dropped from KDE4 several
  releases ago and have not been restored: csb, eo, fy, gu, id, kn, mai,
  mk, ml.  Since there is no indication they will be restored any time
  soon, let's just remove these IGNORED ports.
  
  PR:		ports/180552
  Approved by:	rakuco (KDE)

Deleted:
  head/misc/kde4-l10n-csb/
  head/misc/kde4-l10n-eo/
  head/misc/kde4-l10n-fy/
  head/misc/kde4-l10n-gu/
  head/misc/kde4-l10n-id/
  head/misc/kde4-l10n-kn/
  head/misc/kde4-l10n-mai/
  head/misc/kde4-l10n-mk/
  head/misc/kde4-l10n-ml/
Modified:
  head/MOVED
  head/misc/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Tue Sep 10 19:14:26 2013	(r326925)
+++ head/MOVED	Tue Sep 10 19:57:20 2013	(r326926)
@@ -4927,3 +4927,12 @@ japanese/dvi2dvi||2013-09-05|Obsolete
 japanese/texfamily||2013-09-05|Obsolete
 japanese/texfamily-vfn2a||2013-09-05|Obsolete
 devel/py-astng|devel/py-astroid|2013-09-06|Project was renamed
+misc/kde4-l10n-csb||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-eo||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-fy||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-gu||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-id||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-kn||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-mai||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-mk||2013-09-10|No longer part of KDE4
+misc/kde4-l10n-ml||2013-09-10|No longer part of KDE4

Modified: head/misc/Makefile
==============================================================================
--- head/misc/Makefile	Tue Sep 10 19:14:26 2013	(r326925)
+++ head/misc/Makefile	Tue Sep 10 19:57:20 2013	(r326926)
@@ -196,34 +196,25 @@
     SUBDIR += kde4-l10n-ca
     SUBDIR += kde4-l10n-ca_valencia
     SUBDIR += kde4-l10n-cs
-    SUBDIR += kde4-l10n-csb
     SUBDIR += kde4-l10n-da
     SUBDIR += kde4-l10n-el
     SUBDIR += kde4-l10n-en_GB
-    SUBDIR += kde4-l10n-eo
     SUBDIR += kde4-l10n-es
     SUBDIR += kde4-l10n-et
     SUBDIR += kde4-l10n-eu
     SUBDIR += kde4-l10n-fa
     SUBDIR += kde4-l10n-fi
-    SUBDIR += kde4-l10n-fy
     SUBDIR += kde4-l10n-ga
     SUBDIR += kde4-l10n-gl
-    SUBDIR += kde4-l10n-gu
     SUBDIR += kde4-l10n-hi
     SUBDIR += kde4-l10n-hr
     SUBDIR += kde4-l10n-ia
-    SUBDIR += kde4-l10n-id
     SUBDIR += kde4-l10n-is
     SUBDIR += kde4-l10n-it
     SUBDIR += kde4-l10n-kk
     SUBDIR += kde4-l10n-km
-    SUBDIR += kde4-l10n-kn
     SUBDIR += kde4-l10n-lt
     SUBDIR += kde4-l10n-lv
-    SUBDIR += kde4-l10n-mai
-    SUBDIR += kde4-l10n-mk
-    SUBDIR += kde4-l10n-ml
     SUBDIR += kde4-l10n-mr
     SUBDIR += kde4-l10n-nb
     SUBDIR += kde4-l10n-nds
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 John Marino freebsd_committer 2013-09-10 21:17:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!